---
# - play.webserver.yml
- hosts: [ web ]
  become: yes
  tasks:
    - include_vars: vars/project.yml

    - name: checking if host is up
      ping:

    - name: checking if certificate file already exists
      stat:
        path: /etc/letsencrypt/live/{{ domain_name }}/fullchain.pem
      register: stat

    - name: generating letsencrypt certificate for "{{ domain_name }}"
      command: certbot certonly -n --apache -m {{ domain_admin }} --agree-tos -d {{ domain_name }}
      when: not stat.stat.exists

    - name: generating configuration file for webserver from template
      template:
        src: "apache/{{ project_name }}.j2"
        dest: "/etc/apache2/sites-available/100-{{ project_name }}.conf"

    - name: linking file to activate new configuration on webserver
      file:
        src: "/etc/apache2/sites-available/100-{{ project_name }}.conf"
        dest: "/etc/apache2/sites-enabled/100-{{ project_name }}.conf"
        state: link

    - name: reloading webserver to apply new configuration
      systemd:
        service: apache2
        state: reloaded
